# Uses of Class
org.apache.sling.feature.Configuration

Packages that use Configuration
Package
Description
org.apache.sling.feature

## Uses of Configuration in org.apache.sling.feature

Methods in org.apache.sling.feature that return Configuration
Modifier and Type
Method
Description
`Configuration`
Configuration.`copy(String aPid)`
Create a copy of the configuration with a provided PID.
`Configuration`
Configurations.`getConfiguration(String pid)`
Get the configuration
Methods in org.apache.sling.feature that return types with arguments of type Configuration
Modifier and Type
Method
Description
`Collection<Configuration>`
Configurations.`getFactoryConfigurations(String factoryPid)`
Get all factory configurations matching the factory pid.
Methods in org.apache.sling.feature with parameters of type Configuration
Modifier and Type
Method
Description
`int`
Configuration.`compareTo(Configuration o)`